Skip to content

Midjourney Shorten ​

Submit a prompt analysis (Shorten) job.

http
POST /mj/submit/shorten

Request headers ​

NameTypeRequiredDescription
stringYesBearer token, e.g.
stringYes

Request body ​

NameTypeRequiredDescription
stringNo /
stringYesPrompt
stringNo /
stringNoCallback URL
stringNoOpaque state

Request example ​

bash
curl -X POST https://octopusx.ai/mj/submit/shorten \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mode": "RELAX",
    "prompt": "Cat",
    "botType": "mj"
  }'

Response example ​

json
{
  "code": 1,
  "description": "Submit success",
  "result": "1712158011464910"
}

Response fields ​

NameTypeDescription
integer ok, otherwise error
stringStatus text
stringTask ID